/***********************************************
 * 
 *  XwindowSupport.h
 * 
 * Header file with the macros and function prototypes
 * requires by the files using the Xwindows support routines
 * 
 * CPE/ME 519
 * September 1997
 * Carolina Cruz-Neira
 * 
 *************************************************/
 
 
#ifndef XWINDOW_SUPPORT_519
#define XWINDOW_SUPPORT_519
 
#define	LEFTBUTTON	Button1Mask
#define MIDDLEBUTTON	Button2Mask
#define RIGHTBUTTON	Button3Mask


extern void initGLWindow(Widget, XtPointer );
extern void makeGLCurrent(void);
extern void GLSwapBuffers(void);
extern void exposeGL(Widget, XtPointer );
extern void getMouseLocation(int *, int *);
extern int getMouseButton(unsigned int);
#endif
